Selecting many features in the attribute table is very slow

2016-07-19 12:29 PM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23242

Description

Load eg. ne_10m_populated_places.shp

Open the attribute table

Click the rightmost "external" column of the table to select the first row, then scroll all the way down, hold Shift and click the last one.

On my i5 system this takes about 15 seconds until the selection appears and QGIS gets responsive again. It is even much worse if editing

is enabled.

"Select all" via Ctrl-A or the icon is instant.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 04:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#4 - 2019-03-16 10:23 PM - Johannes Kroeger

- Description updated

- Status changed from Feedback to Open

Still happening in 3.6.0-Noosa.

#5 - 2019-03-16 10:25 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.6.0

- Category changed from Unknown to Attribute table
